<!DOCTYPE html>
<html id="top">
    <head>
        <meta charset="utf-8" />
		<link rel="stylesheet" type="text/css" href="stylesheet.css" />
		<link rel="stylesheet" type="text/css" href="aide.css" />
		<script src="execution.js"></script>
		<script src="jquery.js"></script>
		<script src="menus.js"></script>
		<link rel="shortcut icon" type="image/x-icon" href="Images/favicon_ie.ico">
        <title>Festiv'Algo - Aide pour la programmation d'algorithmes. Tutoriel d'algorithmique, TI Basic et Basic Casio.</title>
		<meta name="keywords" content="festivalgo, algobox, tutoriel, aide, algorithme, algorithmique, programmation, Casio, TI, HP, apprendre, bac, mathématiques, ROC, nouveaux programmes, réformes" />
		<meta name="description" content="Initiation simple et claire à l'algorithmique pour le Bac, dans l'esprit des nouveaux programmes de mathématiques." />
    </head>

    <body>
		<div id="content" style="padding-bottom: 130px">
			<?php include("menu.php"); ?>
			
			<article>
				<div class="partie">
					<h2>&bull; Qu'est-ce qu'un <mark>algorithme</mark> ?</h2>
					<img id="schema_algo" src="Images/schema_algo.png" title="Schéma des 3 phases d'un algorithme" alt="Schéma d'un algorithme" />
					<div class="paragraphes" id="par1">				
						Le mot <i>"<mark>algorithme</mark>"</i> vient du nom du mathématicien Persan <strong>Al-Khuwarizmi</strong>, qui inventa une méthode, au début du IXème siècle, pour résoudre des équations pas à pas.<br />
						Un <mark>algorithme</mark> est une suite d'opérations appliquées dans un ordre donné.
					</div>
				</div>
				<div class="partie">
					<div class="titres">
						<h2>&bull; Variables et affectation</h2>
					</div>
					<div class="paragraphes">				
						Dans un <mark>algorithme</mark>, on commence par <strong>l'entrée des données</strong>. Chacune de ces données est stockée dans la mémoire de la <strong>calculatrice</strong> ou de l'<strong>ordinateur</strong> à un emplacement nommé <strong>variable</strong> et est repérée par une lettre.<br />
						Les <strong>instructions</strong> que l'on peut pratiquer avec une <strong>variable</strong> sont :<br /><br />
						
							- <strong><b>la saisie</b></strong> : on demande à l'utilisateur de donner une valeur à une <strong>variable</strong>.<br />
							<div class="exemples_code">
								<div class="code_algo"><b>Saisir A</b></div><span class="type_algo"><strong>Algorithme</strong></span><div class="code_casio"><b>? &rarr; A</b></div><span class="type_casio"><strong>Casio</strong></span><div class="code_ti"><b>Input A</b></div><span class="type_ti"><strong>TI</strong></span>
									<div class="resultats_code"><p class="resultats_title">Exécution :</p><div class="resultats_content">
										<input onkeypress='if(event.keyCode == 13) lire("a", 1, 0, 1);' autofocus size='7' maxlength='10' id='lire' placeholder='A =' required rows='1' cols='5'>
									</div>
								</div>
							</div>
							<br/>
							
							- <strong><b>l'affectation</b></strong> : on donne à la <strong>variable</strong> une certaine valeur ou le résultat d'un calcul.<br />
							<div class="exemples_code">
								<div class="code_algo"><b>A Prend_la_valeur 3 * 5</b></div><span class="type_algo"><strong>Algorithme</strong></span><div class="code_casio"><b>3 * 5 &rarr; A</b></div><span class="type_casio"><strong>Casio</strong></span><div class="code_ti"><b>3 * 5 &rarr; A</b></div><span class="type_ti"><strong>TI</strong></span>
							</div>
							<br/>
							
							- <strong><b>l'affichage</b></strong> : on affiche le contenu de la <strong>variable</strong>.
							<div class="exemples_code">
								<div class="code_algo"><b>Afficher A</b></div><span class="type_algo"><strong>Algorithme</strong></span><div class="code_casio"><b>A&ang;</b></div><span class="type_casio"><strong>Casio</strong></span><div class="code_ti"><b>Disp A</b></div><span class="type_ti"><strong>TI</strong></span>
									<div class="resultats_code"><p class="resultats_title">Exécution :</p>
										<div class="resultats_content">
											15
										</div>
								</div>
							</div>
					</div>
				</div>
				<div class="partie">
					<h2>&bull; Les conditions</h2>
					<img id="schema_condition" src="Images/schema_condition.png" title="Schéma d'une condition" alt="Schéma d'une condition" />
					<div class="paragraphes" id="par3">				
						La résolution de certains problèmes conduit parfois à une situation dans laquelle la décision prise est soumise à <strong>condition</strong>.<br />
						Si la <strong>condition</strong> est vérifiée, on effectue une première tâche, sinon on effectue une seconde tâche.
					</div>	
					<br /><br />
					<div class="paragraphes">		
						<div class="exemples_code">
								<div class="code_algo" id="code_condition"><b>Si A = 1<br />Alors ...<br />(Sinon ...)<br />Fin_si</b></div><span class="type_algo" id="type_condition"><strong>Algorithme</strong></span>
								<div class="code_casio" id="code_condition"><b>If A = 1<br />Then ...<br />(Else ...)<br />IfEnd</b></div><span class="type_casio" id="type_condition"><strong>Casio</strong></span>
								<div class="code_ti" id="code_condition"><b>If A = 1<br />Then ...<br />(Else ...)<br />End</b></div><span class="type_ti" id="type_condition"><strong>TI</strong></span>
						</div>
						
						Le "<em>Sinon</em>" n'est pas systématique. Sans cette <strong>instruction</strong>, si la <strong>condition</strong> n'est pas vérifiée, la tâche n'est pas effectuée et l'<mark>algorithme</mark> passe à l'<strong>instruction</strong> suivante.
					</div>
				</div>
				
				<div class="partie">
					<h2>&bull; Les boucles</h2>
					<div class="paragraphes">			
						Pendant l'<strong>exécution</strong> d'un <mark>programme</mark>, il est possible d'avoir à réaliser plusieurs fois de suites la même tâche.<br />
						Il existe deux types de <strong>boucles</strong> :<br /><br />
						
						- <strong><b>la boucle conditionelle</b></strong> : on répète les mêmes <strong>instructions</strong> tant qu'une <strong>condition</strong> est remplie.
						<div class="exemples_code">
							<div class="code_algo" id="code_condition"><b>Tant_que A = 1<br />...<br />...<br />Fin_tant_que</b></div><span class="type_algo" id="type_condition"><strong>Algorithme</strong></span>
							<div class="code_casio" id="code_condition"><b>While A = 1<br />...<br />...<br />End</b></div><span class="type_casio" id="type_condition"><strong>Casio</strong></span>
							<div class="code_ti" id="code_condition"><b>While A = 1<br />...<br />...<br />WhileEnd</b></div><span class="type_ti" id="type_condition"><strong>TI</strong></span>
						</div>
						- <strong><b>la boucle itérative</b></strong> : on répète les mêmes <strong>instructions</strong> un certain nombre de fois.
						<div class="exemples_code">
							<div class="code_algo" id="code_condition"><b>Pour A Allant_de 0 à 10<br />...<br />...<br />Fin_pour</b></div><span class="type_algo" id="type_condition"><strong>Algorithme</strong></span>
							<div class="code_casio" id="code_condition"><b>For 0 &rarr; A To 10<br />...<br />...<br />Next</b></div><span class="type_casio" id="type_condition"><strong>Casio</strong></span>
							<div class="code_ti" id="code_condition"><b>For(A,0,10)<br />...<br />...<br />End</b></div><span class="type_ti" id="type_condition"><strong>TI</strong></span>
						</div>
					</div>
				</div>
			</article>
			<div id="pub_aide">
				<script for=window language="JScript" src="https://www.pubdirecte.com/script/banniere.php?id=73608&ref=43885"></script>
			</div>
		</div>
		<?php include("bas_de_page.php"); ?>
    </body>
</html>
